Flutter-02编译器选择

编译器我这里安装了两个,分别是VS CodeAndroid Studio(我做iOS开发,默认安装了Xcode),我就说下这两中编译器的安装方法

安装 VS Code,下载地址
安装 Flutter 和 Dart 插件

1.打开 VS Code。
2.打开 查看 > 命令面板…。


3.输入 “install”,然后选择 扩展: 安装扩展(就是点击选择第一行内容)。


4.在扩展搜索输入框中输入 “flutter”,然后在列表中选择 Flutter 并单击 安装。此过程中会自动安装必需的 Dart 插件。(选择第一行并安装)




5.退出然后重新启动 VS Code。

通过 Flutter Doctor 命令验证是否安装成功

1.打开 查看 > 命令面板…。
2.输入 “doctor”,选择 Flutter: Run Flutter Doctor。
3.打开 输出 (OUTPUT) 面板查看是否有错误,确保在不同的输出选项 (Output Options) 的下拉列表中选择了 Flutter。


安装成功

我们在上篇文章已经用命令行创建了一个my_app的flutter项目了,这里我们就可以使用vscode打开看看了

点击open folder

选中项目,选择打开

创建新项目,则是在命令面板输flutter, 选择Flutter: New Application Project
运行项目,找到 VS Code 的状态栏(窗口底部蓝色的条)


从 Device Selector 里选择一个设备。
开始运行

当应用启动以后处理进度会出现在 Debug Console 页面中,当应用编译完成后,就可以在设备上运行这个起步应用了。


安装 Android Studio,下载地址
安装 Flutter 和 Dart 插件

1.打开 Android Studio。
2.打开插件设置(在 v3.6.3.0 以上的系统打开 Configure > Plugins)。



这里需要先改一下网络请求的设置


改为自动

3.然后搜索Flutter 插件,选择并点击 安装。


4.当弹出安装 Dart 插件提示时,点击 Yes。
5.退出重新启动编译器,然后在编译器主页面就可以看到多了了create new flutter project可供选择,代表flutter插件安装成功,我们试着点击来创建一个新项目。


会发现有四部分内容可供选择

其功能是

  • Flutter Application : 创建一个 Flutter 应用工程
  • Flutter plugin : 这是为了给 Android 和 iOS 提供插件应用(暴露的接口)的时候使用
  • Flutter Package : 创建一个 Dart组件 发布到 pub 来提供便捷开发,类似一些三方库
  • Flutter Module : 一般用来做混合开发,嵌入到 Android 和 iOS 工程当中!
    我们选择第一个,然后走完创建流程
    创建完成

    剩下的操作就和vscode一样了,这里就不做赘述了

推荐阅读更多精彩内容